### Class

# Peas ExtensionSet

#### Description [src]

    class Peas.ExtensionSet : GObject.Object
      implements Gio.ListModel {
      PeasExtensionSetPrivate* priv
    }

The `PeasExtensionSet` structure contains only private data and should only be accessed using the provided API.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### peas_extension_set_new

Create a new `PeasExtensionSet` for the `exten_type` extension type.

###### peas_extension_set_new_valist

Create a new `PeasExtensionSet` for the `exten_type` extension type.

###### peas_extension_set_new_with_properties

Create a new `PeasExtensionSet` for the `exten_type` extension type.

###### peas_extension_set_newv

Create a new `PeasExtensionSet` for the `exten_type` extension type.

#### Instance methods

###### peas_extension_set_foreach

Calls `func` for each `PeasExtension`.

since: 1.2

###### peas_extension_set_get_extension

Returns the `PeasExtension` object corresponding to `info`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Peas.ExtensionSet:construct-properties

No description available.

###### Peas.ExtensionSet:engine

No description available.

###### Peas.ExtensionSet:extension-type

No description available.

#### Signals

###### Peas.ExtensionSet::extension-added

Emitted when a new extension has been added to the `PeasExtensionSet`.

###### Peas.ExtensionSet::extension-removed

Emitted when a new extension is about to be removed from the `PeasExtensionSet`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct PeasExtensionSetClass {
      GObjectClass parent_class;
      gboolean (* call) (
        PeasExtensionSet* set,
        const gchar* method_name,
        GIArgument* args
      );
      void (* extension_added) (
        PeasExtensionSet* set,
        PeasPluginInfo* info,
        PeasExtension* exten
      );
      void (* extension_removed) (
        PeasExtensionSet* set,
        PeasPluginInfo* info,
        PeasExtension* exten
      );

    }

The class structure for `PeasExtensionSet`.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`call: gboolean (* call) ( PeasExtensionSet* set, const gchar* method_name, GIArgument* args )`

  The VFunc for peas_extension_set_call().

`extension_added: void (* extension_added) ( PeasExtensionSet* set, PeasPluginInfo* info, PeasExtension* exten )`

  Signal class handler for the `PeasExtensionSet::extension-added` signal.

`extension_removed: void (* extension_removed) ( PeasExtensionSet* set, PeasPluginInfo* info, PeasExtension* exten )`

  Signal class handler for the `PeasExtensionSet::extension-removed` signal.

#### Virtual methods

###### Peas.ExtensionSetClass.call

The VFunc for peas_extension_set_call().

###### Peas.ExtensionSetClass.extension_added

Signal class handler for the `PeasExtensionSet::extension-added` signal.

###### Peas.ExtensionSetClass.extension_removed

Signal class handler for the `PeasExtensionSet::extension-removed` signal.